<?php
namespace Factory;

use Teknisa\Model\Teknisa\Entities\MtDesignEstruturaTask as EntidadeEstruturaTask;
use Teknisa\Model\Teknisa\Entities\MtDesignEstruturaTask as MtDesignEstruturaTask;
use Util\Instance\GeneralProvider;

class StructureTask {
    
    /**
     * @param $e 
     * @param $currentUser
     * @param $nrMtDesignEstruturaTask
     * @param $mtDesignEstruraId 
     * @param $task
     * @param $nrorg 
     * @param $dtinclusao 
     * @param $dtultatu 
     * @param $nrorginclusao 
     * @param $cdoperinclusao 
     * @param $nrorgultatu 
     * @param $cdoperultatu
     * @return EntidadeEstruturaTask
     * @throws \Exception
     */
     public function saveStructureTask($e, $currentUser, $mtDesignEstruraId, $task, $nrorg){
        $date = new \DateTime();
        if(!$e){
            $e = new EntidadeEstruturaTask;
            $e->setNrMtDesignEstruturaTask($novoCodigo = GeneralProvider::getNewCode()->getCodeByTableName('MT_DESIGN_ESTRUTURA_TASK', $nrorg, 1, 10, true));
            $e->setNrorg($nrorg);
            $e->setNrorginclusao($nrorg);
            $e->setDtinclusao($date);
            $e->setCdoperinclusao($currentUser);
        }
        
        $e->setMtDesignEstruraId($mtDesignEstruraId);
        $e->setTask($task);
        
        $e->setDtultatu($date);
        $e->setCdoperultatu($currentUser);
        $e->setNrorgultatu($nrorg);

       return $e;
     }
}