<?php
namespace Factory;

use Teknisa\Model\Geral\Repositories\Coluna;
use Teknisa\Model\Geral\Entities\Coluna as EntidadeColuna;
use Teknisa\Model\Geral\Repositories\Tabela;
use Teknisa\Model\Geral\Entities\Tabela as EntidadeTabela;
use Util\Instance\GeneralProvider;

class Table {


    public function saveObservation($e, $table, $observation, $currentUser, $nrorg) {

        $date = new \DateTime();
        if(!$e) {
            $e = new EntidadeTabela();
            $e->setNmtabelabd($table);
            $e->setNrorg($nrorg);
            $e->setNrorginclusao($nrorg);
            $e->setDtinclusao($date);
            $e->setCdoperinclusao($currentUser);
        }

        $e->setDstabelabd($observation);
        $e->setNrorgultatu($nrorg);
        $e->setDtultatu($date);
        $e->setCdoperultatu($currentUser);
        return $e;
    }

    public function saveColumnObservation($e, $table, $column, $observation, $currentUser, $nrorg) {
        $date = new \DateTime();
        if(!$e) {
            $e = new EntidadeColuna();
            $e->setNmtabelabd($table);
            $e->setNmcoluna($column);
            $e->setNrorg($nrorg);
            $e->setNrorginclusao($nrorg);
            $e->setDtinclusao($date);
            $e->setCdoperinclusao($currentUser);
        }

        $e->setDscoluna($observation);
        $e->setNrorgultatu($nrorg);
        $e->setDtultatu($date);
        $e->setCdoperultatu($currentUser);
        return $e;
    }

}