<?php
namespace Factory;

use Teknisa\Model\Teknisa\Entities\MtRepositorio as EntidadeRepositorio;
use Teknisa\Model\Teknisa\Entities\MtRepositorioOperador as EntidadeRepositorioOper;
use Util\Instance\GeneralProvider;

class Repositorio {

    public function saveRepositorio($e, $nrorg, $currentUser, $idativo = null, $Nmrepositorio = null, $Dsurlrepositorio = null){
        $date = new \DateTime();
        if(!$e){
            $e = new EntidadeRepositorio();
            $e->setId($novoCodigo = GeneralProvider::getNewCode()->getCodeByTableName("MT_REPOSITORIO", $nrorg, 1, 10, true));
            $e->setNrorg($nrorg);
            $e->setNrorginclusao($nrorg);
            $e->setDtinclusao($date);
            $e->setCdoperinclusao($currentUser);

        }

        $e->setNmrepositorio($Nmrepositorio);
        $e->setDsurlrepositorio($Dsurlrepositorio);
        $e->setNrorgultatu($nrorg);
        $e->setIdativo($idativo);
        $e->setDtultatu($date);
        $e->setCdoperultatu($currentUser);


        return $e;
    }

    public function saveDiretorio($e, $idRepositorio, $diretorio, $nrorg, $currentUser, $idativo = null){
        $date = new \DateTime();
        if(!$e){
            $e = new EntidadeRepositorioOper();
            $e->setId($novoCodigo = GeneralProvider::getNewCode()->getCodeByTableName("MT_REPOSITORIO_OPERADOR", $nrorg, 1, 10, true));
            $e->setNrorg($nrorg);
            $e->setRepositorioId($idRepositorio);
            $e->setNrorginclusao($nrorg);
            $e->setDtinclusao($date);
            $e->setCdoperinclusao($currentUser);
            $e->setCdoperador($currentUser);
        }

        $e->setDsdirrepositorio($diretorio);
        $e->setNrorgultatu($nrorg);
        $e->setIdativo($idativo);
        $e->setDtultatu($date);
        $e->setCdoperultatu($currentUser);

        return $e;
    }
}